[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.AsText

Text stored in the clipboard.

## Declaration

Source position: clipbrd.pp line 226

`public property TClipboard.AsText : string read GetAsText write SetAsText;`

## Description

AsText is a String property with the textual data stored on the clipboard. The property value is read from an existing pcfText clipboard format. The return value is an empty string ('') if a clipboard format is not found for the MIME text type.

Changing the value for the property causes an assigned OnRequest handler to be signalled to perform the update. If OnRequest is not assigned, the Clear method to be called to clear all formats and the data is stored on the clipboard using the pcfText clipboard format.